Loading...
Searching...
No Matches
itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage > Class Template Reference

`#include <itkVectorMeanDiffusionImageFilter.h>`

## Detailed Description

template<class TInputImage, class TGrayValueImage>
class itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >

Applies an averaging filter to an image.

Computes an image where a given pixel is the mean value of the the pixels in a neighborhood about the corresponding input pixel.

A mean filter is one of the family of linear filters.

See also
  Image
  Neighborhood
  NeighborhoodOperator
  NeighborhoodIterator

Definition at line 49 of file itkVectorMeanDiffusionImageFilter.h.

Inheritance diagram for itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | DoubleImagePointer = typename DoubleImageType::Pointer
using | DoubleImageType = Image<double, Self::InputImageDimension>
using | GrayValueImagePointer = typename GrayValueImageType::Pointer
using | GrayValueImageType = TGrayValueImage
using | GrayValuePixelType = typename GrayValueImageType::PixelType
using | IndexType = typename InputImageType::IndexType
using | InputImageRegionType = typename InputImageType::RegionType
using | InputImageType = TInputImage
using | InputPixelType = typename InputImageType::PixelType
using | InputSizeType = typename InputImageType::SizeType
using | Pointer = SmartPointer<Self>
using | RescaleImageFilterPointer = typename RescaleImageFilterType::Pointer
using | RescaleImageFilterType = RescaleIntensityImageFilter<GrayValueImageType, DoubleImageType>
using | Self = VectorMeanDiffusionImageFilter
using | Superclass = ImageToImageFilter<InputImageType, InputImageType>
using | ValueType = typename InputPixelType::ValueType
using | VectorRealType = Vector<double, Self::InputImageDimension>

## Public Member Functions

void | GenerateInputRequestedRegion () override
virtual const char * | GetClassName () const
GrayValueImageType::Pointer | GetGrayValueImage ()
virtual unsigned int | GetNumberOfIterations () const
virtual const InputSizeType & | GetRadius ()
| ITK_DISALLOW_COPY_AND_MOVE (VectorMeanDiffusionImageFilter)
| itkStaticConstMacro (InputImageDimension, unsigned int, TInputImage::ImageDimension)
void | SetGrayValueImage (GrayValueImageType *_arg)
virtual void | SetNumberOfIterations (unsigned int _arg)
virtual void | SetRadius (InputSizeType _arg)

## Static Public Member Functions

static Pointer | New ()

## Protected Member Functions

void | GenerateData () override
void | PrintSelf (std::ostream &os, Indent indent) const override
| VectorMeanDiffusionImageFilter ()
| ~VectorMeanDiffusionImageFilter () override=default

## Private Member Functions

void | FilterGrayValueImage ()

## Private Attributes

DoubleImagePointer | m_Cx {}
GrayValueImagePointer | m_GrayValueImage {}
unsigned int | m_NumberOfIterations {}
InputSizeType | m_Radius {}
RescaleImageFilterPointer | m_RescaleFilter {}

## Member Typedef Documentation

## ConstPointer

template<class TInputImage, class TGrayValueImage>

using itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::ConstPointer = SmartPointer<const Self>

Definition at line 63 of file itkVectorMeanDiffusionImageFilter.h.

## DoubleImagePointer

template<class TInputImage, class TGrayValueImage>

using itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::DoubleImagePointer = typename DoubleImageType::Pointer

Definition at line 83 of file itkVectorMeanDiffusionImageFilter.h.

## DoubleImageType

template<class TInputImage, class TGrayValueImage>

using itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::DoubleImageType = Image<double, Self::InputImageDimension>

Definition at line 82 of file itkVectorMeanDiffusionImageFilter.h.

## GrayValueImagePointer

template<class TInputImage, class TGrayValueImage>

using itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::GrayValueImagePointer = typename GrayValueImageType::Pointer

Definition at line 57 of file itkVectorMeanDiffusionImageFilter.h.

## GrayValueImageType

template<class TInputImage, class TGrayValueImage>

using itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::GrayValueImageType = TGrayValueImage

Definition at line 56 of file itkVectorMeanDiffusionImageFilter.h.

## GrayValuePixelType

template<class TInputImage, class TGrayValueImage>

using itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::GrayValuePixelType = typename GrayValueImageType::PixelType

Definition at line 84 of file itkVectorMeanDiffusionImageFilter.h.

## IndexType

template<class TInputImage, class TGrayValueImage>

using itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::IndexType = typename InputImageType::IndexType

Definition at line 80 of file itkVectorMeanDiffusionImageFilter.h.

## InputImageRegionType

template<class TInputImage, class TGrayValueImage>

using itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::InputImageRegionType = typename InputImageType::RegionType

Definition at line 78 of file itkVectorMeanDiffusionImageFilter.h.

## InputImageType

template<class TInputImage, class TGrayValueImage>

using itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::InputImageType = TInputImage

Convenient typedefs for simplifying declarations.

Definition at line 55 of file itkVectorMeanDiffusionImageFilter.h.

## InputPixelType

template<class TInputImage, class TGrayValueImage>

using itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::InputPixelType = typename InputImageType::PixelType

Image typedef support.

Definition at line 75 of file itkVectorMeanDiffusionImageFilter.h.

## InputSizeType

template<class TInputImage, class TGrayValueImage>

using itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::InputSizeType = typename InputImageType::SizeType

Definition at line 79 of file itkVectorMeanDiffusionImageFilter.h.

## Pointer

template<class TInputImage, class TGrayValueImage>

using itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::Pointer = SmartPointer<Self>

Definition at line 62 of file itkVectorMeanDiffusionImageFilter.h.

## RescaleImageFilterPointer

template<class TInputImage, class TGrayValueImage>

using itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::RescaleImageFilterPointer = typename RescaleImageFilterType::Pointer

Definition at line 88 of file itkVectorMeanDiffusionImageFilter.h.

## RescaleImageFilterType

template<class TInputImage, class TGrayValueImage>

using itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::RescaleImageFilterType = RescaleIntensityImageFilter<GrayValueImageType, DoubleImageType>

Typedef for the rescale intensity filter.

Definition at line 87 of file itkVectorMeanDiffusionImageFilter.h.

## Self

template<class TInputImage, class TGrayValueImage>

using itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::Self = VectorMeanDiffusionImageFilter

Standard class typedefs.

Definition at line 60 of file itkVectorMeanDiffusionImageFilter.h.

## Superclass

template<class TInputImage, class TGrayValueImage>

using itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::Superclass = ImageToImageFilter<InputImageType, InputImageType>

Definition at line 61 of file itkVectorMeanDiffusionImageFilter.h.

## ValueType

template<class TInputImage, class TGrayValueImage>

using itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::ValueType = typename InputPixelType::ValueType

Definition at line 76 of file itkVectorMeanDiffusionImageFilter.h.

## VectorRealType

template<class TInputImage, class TGrayValueImage>

using itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::VectorRealType = Vector<double, Self::InputImageDimension>

Definition at line 81 of file itkVectorMeanDiffusionImageFilter.h.

## Constructor & Destructor Documentation

## VectorMeanDiffusionImageFilter()

template<class TInputImage, class TGrayValueImage>

itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::VectorMeanDiffusionImageFilter | ( |  | ) |

protected

## ~VectorMeanDiffusionImageFilter()

template<class TInputImage, class TGrayValueImage>

itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::~VectorMeanDiffusionImageFilter | ( |  | ) |

override protected default

## Member Function Documentation

## FilterGrayValueImage()

template<class TInputImage, class TGrayValueImage>

void itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::FilterGrayValueImage | ( |  | ) |

private

For calculating a feature image from the input m_GrayValueImage.

## GenerateData()

template<class TInputImage, class TGrayValueImage>

void itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::GenerateData | ( |  | ) |

override protected

MeanImageFilter can be implemented as a multithreaded filter. Therefore, this implementation provides a ThreadedGenerateData() routine which is called for each processing thread. The output image data is allocated automatically by the superclass prior to calling ThreadedGenerateData(). ThreadedGenerateData can only write to the portion of the output image specified by the parameter "outputRegionForThread"

See also
  ImageToImageFilter::ThreadedGenerateData(), ImageToImageFilter::GenerateData().

## GenerateInputRequestedRegion()

template<class TInputImage, class TGrayValueImage>

void itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::GenerateInputRequestedRegion | ( |  | ) |

override

MeanImageFilter needs a larger input requested region than the output requested region. As such, MeanImageFilter needs to provide an implementation for GenerateInputRequestedRegion() in order to inform the pipeline execution model.

See also
  ImageToImageFilter::GenerateInputRequestedRegion().

## GetClassName()

template<class TInputImage, class TGrayValueImage>

virtual const char * itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

## GetGrayValueImage()

template<class TInputImage, class TGrayValueImage>

GrayValueImageType::Pointer itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::GetGrayValueImage | ( |  | ) |

inline

Definition at line 115 of file itkVectorMeanDiffusionImageFilter.h.

## GetNumberOfIterations()

template<class TInputImage, class TGrayValueImage>

virtual unsigned int itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::GetNumberOfIterations | ( |  | ) | const

virtual

## GetRadius()

template<class TInputImage, class TGrayValueImage>

virtual const InputSizeType & itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::GetRadius | ( |  | ) |

virtual

Get the radius of the neighborhood used to compute the mean

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TInputImage, class TGrayValueImage>

itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::ITK_DISALLOW_COPY_AND_MOVE | ( | VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage > |  | ) |

## itkStaticConstMacro()

template<class TInputImage, class TGrayValueImage>

itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::itkStaticConstMacro | ( | InputImageDimension | ,
|  | unsigned int | ,
|  | TInputImage::ImageDimension | )

Extract dimension from input image.

## New()

template<class TInputImage, class TGrayValueImage>

Pointer itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::New | ( |  | ) |

static

Method for creation through the object factory.

## PrintSelf()

template<class TInputImage, class TGrayValueImage>

void itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::PrintSelf | ( | std::ostream & | os,
|  | Indent | indent ) const

override protected

## SetGrayValueImage()

template<class TInputImage, class TGrayValueImage>

void itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::SetGrayValueImage | ( | GrayValueImageType * | _arg | ) |

Set- and GetObjectMacro's for the GrayValueImage.

## SetNumberOfIterations()

template<class TInputImage, class TGrayValueImage>

virtual void itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::SetNumberOfIterations | ( | unsigned int | _arg | ) |

virtual

Set & Get the NumberOfIterations.

## SetRadius()

template<class TInputImage, class TGrayValueImage>

virtual void itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::SetRadius | ( | InputSizeType | _arg | ) |

virtual

Set the radius of the neighborhood used to compute the mean.

## Field Documentation

## m_Cx

template<class TInputImage, class TGrayValueImage>

DoubleImagePointer itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::m_Cx {}

private

Definition at line 149 of file itkVectorMeanDiffusionImageFilter.h.

## m_GrayValueImage

template<class TInputImage, class TGrayValueImage>

GrayValueImagePointer itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::m_GrayValueImage {}

private

Declare member images.

Definition at line 148 of file itkVectorMeanDiffusionImageFilter.h.

## m_NumberOfIterations

template<class TInputImage, class TGrayValueImage>

unsigned int itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::m_NumberOfIterations {}

private

Definition at line 145 of file itkVectorMeanDiffusionImageFilter.h.

## m_Radius

template<class TInputImage, class TGrayValueImage>

InputSizeType itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::m_Radius {}

private

Declare member variables.

Definition at line 144 of file itkVectorMeanDiffusionImageFilter.h.

## m_RescaleFilter

template<class TInputImage, class TGrayValueImage>

RescaleImageFilterPointer itk::VectorMeanDiffusionImageFilter< TInputImage, TGrayValueImage >::m_RescaleFilter {}

private

Definition at line 151 of file itkVectorMeanDiffusionImageFilter.h.

Generated on 1768596610 for elastix by 1.15.0 |